com.r3corda.node.services.api / Checkpoint

# Checkpoint

`class Checkpoint`

### Constructors

<init> | `Checkpoint(serializedFiber: SerializedBytes<ProtocolStateMachineImpl<*>>)`

### Properties

id | `val id: SecureHash`
serializedFiber | `val serializedFiber: SerializedBytes<ProtocolStateMachineImpl<*>>`

### Functions

equals | `fun equals(other: Any?): Boolean`
hashCode | `fun hashCode(): Int`
toString | `fun toString(): String`